ListTestTemplates
Lists the available resilience test templates. A test template is a pre-configured, AWS recommended test that defines which resilience capability to validate.
Request Syntax
GET /v2/list-test-templates HTTP/1.1
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"testTemplates": [
{
"description": "string",
"name": "string",
"testTemplateArn": "string"
}
]
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- testTemplates
-
The list of test template summaries.
Type: Array of TestTemplateSummary objects
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
Access denied — caller lacks required permissions.
HTTP Status Code: 403
- InternalServerException
-
Internal service error.
HTTP Status Code: 500
- ValidationException
-
Validation error — invalid input parameters.
- fieldList
-
The list of fields that failed validation.
- reason
-
The reason for the validation failure.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: